/* プラグイン使用 */
/* プラグインのCSSは管理画面で外しておく */

/* pagination */

.wp-pagenavi {
  display: flex;
  justify-content: center;
  align-items: center;
  gap: .5rem;
  position: relative;

  a.page,
  .current {
    order: 1;
  }
  .extend{
    order: 1;
  }
  a.last {
    order: 1;
  }

  span.current,
  a.page,
  a.first,
  a.last {
    border-radius: 50%;
    font-family: var(--familyRoboto);
    line-height: 1.5;
    font-size: 1.125rem;
    font-weight: 400;
    aspect-ratio: 1 / 1;
    display: inline-block;
    width: 2.5rem;
    height: 2.5rem;
    display: grid;
    place-items: center;
    background-color: var(--colorBg);
    border: 1px solid var(--colorBg);
    color: var(--colorBlack);
    transition: all .3s;
  }
  
  span.current,
  a.page:hover {
    background-color: var(--colorRed);
    border: 1px solid var(--colorRed);
    color: var(--colorWhite);
  }

  .previouspostslink,
  .nextpostslink {
    position: relative;
    display: inline-block;
  }
  .previouspostslink {
    margin-right: auto;
    padding-left: 1.5rem;
    order: 0;
  }
  .nextpostslink {
    margin-left: auto;
    padding-right: 1.5rem;
    order: 100;
  }
  .previouspostslink::before,
  .nextpostslink::after {
    content: "";
    width: 1rem;
    height: 1rem;
  }
  .previouspostslink::before{
    background: url(../../images/common/ico-link-arrow-left.svg) no-repeat center center / contain;
    position: absolute;
    left: 0;
    top: 50%;
    transform: translateY(-50%);
  }
  .nextpostslink::after {
    background: url(../../images/common/ico-link-arrow.svg) no-repeat center center / contain;
    position: absolute;
    right: 0;
    top: 50%;
    transform: translateY(-50%);
  }
}

/* 配置調整（前へ、次へ） */
.wp-pagenavi:not(:has(.previouspostslink))::before,
.wp-pagenavi:not(:has(.nextpostslink))::after {
  display: inline-flex;
  align-items: center;
  height: 1rem;
  opacity: .3;
}

/* 配置調整 前へダミー */
.wp-pagenavi:not(:has(.previouspostslink))::before {
  margin-right: auto;
}
.wp-pagenavi:not(:has(.previouspostslink))::before {
  content:"PREV";
  background: url(../../images/common/ico-link-arrow-left.svg) no-repeat left center / 1rem;
  padding-left: 1.5rem;
  order: 0;
}

/* 配置調整 次へダミー */
.wp-pagenavi:not(:has(.nextpostslink))::after {
  margin-left: auto;
}

.wp-pagenavi:not(:has(.nextpostslink))::after {
  content:"NEXT";
  background: url(../../images/common/ico-link-arrow.svg) no-repeat right center / 1rem;
  padding-right: 1.5rem;
  order: 100;
}

@media screen and (max-width: 767px) {
  .wp-pagenavi {
    padding-bottom: var(--size48);
    gap: var(--size8);

    span.current,
    a.page,
    a.first,
    a.last {
      font-size: var(--size14);
      width: var(--size40);
      height: var(--size40);
    }
    
    .previouspostslink {
      /* margin-right: auto; */
      padding-left: var(--size24);
      position: absolute;
      left: 0;
      bottom: 0;
    }
    .nextpostslink {
      /* margin-left: auto; */
      padding-right: var(--size24);
      position: absolute;
      right: 0;
      bottom: 0;
    }
    .previouspostslink::before,
    .nextpostslink::after {
      width: var(--size16);
      height: var(--size16);
    }
    .nextpostslink::after {
      position: absolute;
      right: 0;
      top: 50%;
      transform: translateY(-50%);
    }
  }

  /* 配置調整（前へ、次へ） */
  .wp-pagenavi:not(:has(.previouspostslink))::before,
  .wp-pagenavi:not(:has(.nextpostslink))::after {
    height: var(--size16);
    font-size: var(--size16);
  }

  /* 配置調整 前へダミー */
  .wp-pagenavi:not(:has(.previouspostslink))::before {
    padding-left: var(--size24);
    position: absolute;
    bottom: var(--size4);
    left: 0;
  }

  /* 配置調整 次へダミー */
  .wp-pagenavi:not(:has(.nextpostslink))::after {
    padding-right: var(--size24);
    position: absolute;
    bottom: var(--size4);
    right: 0;
  }
}